variables:
  PROJECT_NAME: "Fluent.Rhx"
before_script:
  - echo "starting build for %PROJECT_NAME%"
  - echo "Restoring NuGet Packages..."
  - '"C:\Gitlab-Runner\tools\nuget.exe" restore "Fluent.Rhx.sln"'
stages:
  - build
  - test
build:
  stage: build
  script:
  - echo "Release build..."
  - 'dotnet msbuild -p:Configuration=Release "%PROJECT_NAME%.sln"'
  tags:
  - rhino
  artifacts:
    untracked: true
test:
  stage: test
  script:
  - echo "Starting tests..."
  - cd %PROJECT_NAME%.Specs
  - 'dotnet test Fluent.Rhx.Specs.csproj'
  tags:
  - rhino
  dependencies:
  - build